/*
 * Boltzmann 3D, a kinetic theory demonstrator
 * Copyright (C) 2013 Dr. Randall B. Shirts
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package edu.byu.chem.boltzmann.fullapplication.view.heatreservoir;

import edu.byu.chem.boltzmann.view.heatreservoir.HeatResController;
import edu.byu.chem.boltzmann.view.heatreservoir.HeatResView;

/**
 * Created 7 Jun 2011
 * @author Derek Manwaring
 */
public class HeatResFullView extends javax.swing.JPanel implements HeatResView {

    private HeatResController controller;
    
    /** Creates new form View */
    public HeatResFullView() {
        initComponents();
    }
    
    public void attachController(HeatResController controller) {
        this.controller = controller;
    }
    
    public void setReservoirTemp(double temperature) {
        spnrReservoirTemp.setValue(temperature);
    }
    
    public HeatResController getController() {
        return controller;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        spnrReservoirTemp = new javax.swing.JSpinner();
        lblReservoirTemp = new javax.swing.JLabel();
        btnSetReservoirTemp = new javax.swing.JButton();

        spnrReservoirTemp.setModel(new javax.swing.SpinnerNumberModel(1.0d, 1.0d, 1000.0d, 1.0d));

        lblReservoirTemp.setText("Reservoir Temperature (K):");

        btnSetReservoirTemp.setText("OK");
        btnSetReservoirTemp.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSetReservoirTempActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnSetReservoirTemp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(lblReservoirTemp)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(spnrReservoirTemp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                    .add(lblReservoirTemp)
                    .add(spnrReservoirTemp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnSetReservoirTemp)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnSetReservoirTempActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSetReservoirTempActionPerformed
        controller.setReservoirTemp((Double) spnrReservoirTemp.getValue());
        controller.hideReservoirControls();
    }//GEN-LAST:event_btnSetReservoirTempActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnSetReservoirTemp;
    private javax.swing.JLabel lblReservoirTemp;
    private javax.swing.JSpinner spnrReservoirTemp;
    // End of variables declaration//GEN-END:variables
}
