/*
 * Boltzmann 3D, a kinetic theory demonstrator
 * Copyright (C) 2013 Dr. Randall B. Shirts
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package edu.byu.chem.boltzmann.modules;

import java.awt.event.ActionEvent;

/**
 *
 * @author Derek Manwaring
 * 25 Oct 2011
 */
public class ModuleTemplate extends javax.swing.JPanel {

    /** Creates new form Template */
    public ModuleTemplate() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        pnlArenaHolder = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        pnlControls = new javax.swing.JPanel();
        txtFldSimTime = new javax.swing.JTextField();
        btnPause = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        spnrSpeed = new javax.swing.JSpinner();
        pnlStats = new javax.swing.JPanel();
        pnlStatHeader = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        pnlOtherStats = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        pnlPrediction = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        pnlPrediction1 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        pnlSeparator1 = new javax.swing.JPanel();
        jSeparator1 = new javax.swing.JSeparator();
        jPanel4 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jPanel16 = new javax.swing.JPanel();
        pnlPrediction9 = new javax.swing.JPanel();
        jPanel19 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        jPanel17 = new javax.swing.JPanel();
        jPanel18 = new javax.swing.JPanel();
        jRadioButton2 = new javax.swing.JRadioButton();
        jPanel6 = new javax.swing.JPanel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jPanel20 = new javax.swing.JPanel();
        pnlPrediction10 = new javax.swing.JPanel();
        jLabel14 = new javax.swing.JLabel();
        jPanel7 = new javax.swing.JPanel();
        pnlPrediction5 = new javax.swing.JPanel();
        jPanel8 = new javax.swing.JPanel();
        jTextField12 = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jTextField13 = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jTextField14 = new javax.swing.JTextField();
        jPanel9 = new javax.swing.JPanel();
        pnlPrediction6 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        jPanel10 = new javax.swing.JPanel();
        jTextField15 = new javax.swing.JTextField();
        jPanel11 = new javax.swing.JPanel();
        pnlPrediction7 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        jPanel12 = new javax.swing.JPanel();
        jTextField16 = new javax.swing.JTextField();
        pnlSeparator2 = new javax.swing.JPanel();
        jPanel13 = new javax.swing.JPanel();
        pnlPrediction8 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jPanel14 = new javax.swing.JPanel();
        jTextField17 = new javax.swing.JTextField();
        jPanel15 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();

        pnlArenaHolder.setMaximumSize(new java.awt.Dimension(3000, 3000));
        pnlArenaHolder.setMinimumSize(new java.awt.Dimension(1, 1));
        pnlArenaHolder.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                pnlArenaHolderComponentResized(evt);
            }
        });
        pnlArenaHolder.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 0, 0));

        jLabel1.setIcon(new javax.swing.ImageIcon("C:\\Boltzmann\\Boltzmann3D\\WebBoltzmann\\Ideal Gas Law Module Images\\Arena.jpg")); // NOI18N
        pnlArenaHolder.add(jLabel1);

        pnlControls.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 5, 3));

        txtFldSimTime.setText("127.33 ps");
        pnlControls.add(txtFldSimTime);

        btnPause.setIcon(new javax.swing.ImageIcon(getClass().getResource("/edu/byu/chem/boltzmann/resources/images/Pause24.gif"))); // NOI18N
        btnPause.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPauseActionPerformed(evt);
            }
        });
        pnlControls.add(btnPause);

        jLabel3.setText("Speed:");
        pnlControls.add(jLabel3);

        spnrSpeed.setFont(new java.awt.Font("Lucida Grande", 0, 12));
        spnrSpeed.setModel(new javax.swing.SpinnerListModel(new String[] {"1x"}));
        spnrSpeed.setPreferredSize(new java.awt.Dimension(71, 28));
        spnrSpeed.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                spnrSpeedStateChanged(evt);
            }
        });
        pnlControls.add(spnrSpeed);

        pnlStats.setLayout(new javax.swing.BoxLayout(pnlStats, javax.swing.BoxLayout.PAGE_AXIS));

        pnlStatHeader.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 0, 0));
        pnlStatHeader.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 3, 3));

        jLabel2.setText("Pressure:");
        pnlStatHeader.add(jLabel2);

        pnlStats.add(pnlStatHeader);

        pnlOtherStats.setLayout(new javax.swing.BoxLayout(pnlOtherStats, javax.swing.BoxLayout.Y_AXIS));

        jPanel2.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction.setPreferredSize(new java.awt.Dimension(240, 20));
        pnlPrediction.setLayout(new java.awt.BorderLayout(5, 5));

        jLabel4.setText("Prediction");
        pnlPrediction.add(jLabel4, java.awt.BorderLayout.WEST);

        jTextField1.setText("30.0 MPa");
        jTextField1.setPreferredSize(new java.awt.Dimension(60, 20));
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });
        pnlPrediction.add(jTextField1, java.awt.BorderLayout.EAST);

        jPanel2.add(pnlPrediction);

        pnlOtherStats.add(jPanel2);

        jPanel3.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction1.setPreferredSize(new java.awt.Dimension(240, 20));
        pnlPrediction1.setLayout(new java.awt.BorderLayout(5, 5));

        jLabel5.setText("Average from walls");
        pnlPrediction1.add(jLabel5, java.awt.BorderLayout.WEST);

        jTextField2.setText("27.9 MPa");
        jTextField2.setPreferredSize(new java.awt.Dimension(60, 20));
        pnlPrediction1.add(jTextField2, java.awt.BorderLayout.EAST);

        jPanel3.add(pnlPrediction1);

        pnlOtherStats.add(jPanel3);

        pnlStats.add(pnlOtherStats);

        pnlSeparator1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 0, 10));
        pnlSeparator1.setLayout(new java.awt.CardLayout());
        pnlSeparator1.add(jSeparator1, "card2");

        pnlStats.add(pnlSeparator1);

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 13, 8));

        jLabel6.setText("Settings:");
        jPanel4.add(jLabel6);

        pnlStats.add(jPanel4);

        jPanel16.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction9.setPreferredSize(new java.awt.Dimension(240, 50));
        pnlPrediction9.setLayout(new java.awt.BorderLayout());

        jPanel19.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 5));

        jLabel13.setText("Dimension");
        jLabel13.setVerticalAlignment(javax.swing.SwingConstants.TOP);
        jPanel19.add(jLabel13);

        pnlPrediction9.add(jPanel19, java.awt.BorderLayout.WEST);

        jPanel17.setPreferredSize(new java.awt.Dimension(100, 88));
        jPanel17.setLayout(new javax.swing.BoxLayout(jPanel17, javax.swing.BoxLayout.PAGE_AXIS));

        jPanel18.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 1));

        jRadioButton2.setText("2 Dimensional");
        jPanel18.add(jRadioButton2);

        jPanel17.add(jPanel18);

        jPanel6.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 1));

        jRadioButton1.setText("3 Dimensional");
        jPanel6.add(jRadioButton1);

        jPanel17.add(jPanel6);

        pnlPrediction9.add(jPanel17, java.awt.BorderLayout.EAST);

        jPanel16.add(pnlPrediction9);

        pnlStats.add(jPanel16);

        jPanel20.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction10.setPreferredSize(new java.awt.Dimension(240, 21));
        pnlPrediction10.setLayout(new java.awt.BorderLayout());

        jLabel14.setText("Arena size (nm)");
        pnlPrediction10.add(jLabel14, java.awt.BorderLayout.WEST);

        jPanel20.add(pnlPrediction10);

        pnlStats.add(jPanel20);

        jPanel7.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction5.setPreferredSize(new java.awt.Dimension(240, 21));
        pnlPrediction5.setLayout(new java.awt.BorderLayout());

        jPanel8.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField12.setColumns(5);
        jTextField12.setText("40.0");
        jTextField12.setPreferredSize(null);
        jTextField12.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField12ActionPerformed(evt);
            }
        });
        jPanel8.add(jTextField12);

        jLabel18.setText("X");
        jPanel8.add(jLabel18);

        jTextField13.setColumns(5);
        jTextField13.setText("30.0");
        jTextField13.setPreferredSize(null);
        jPanel8.add(jTextField13);

        jLabel19.setText("X");
        jPanel8.add(jLabel19);

        jTextField14.setColumns(5);
        jTextField14.setText("30.0");
        jTextField14.setPreferredSize(null);
        jPanel8.add(jTextField14);

        pnlPrediction5.add(jPanel8, java.awt.BorderLayout.EAST);

        jPanel7.add(pnlPrediction5);

        pnlStats.add(jPanel7);

        jPanel9.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction6.setPreferredSize(new java.awt.Dimension(240, 21));
        pnlPrediction6.setLayout(new java.awt.BorderLayout());

        jLabel10.setText("Temperature (K)");
        pnlPrediction6.add(jLabel10, java.awt.BorderLayout.WEST);

        jPanel10.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField15.setColumns(5);
        jTextField15.setText("300.0");
        jTextField15.setPreferredSize(null);
        jTextField15.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField15ActionPerformed(evt);
            }
        });
        jPanel10.add(jTextField15);

        pnlPrediction6.add(jPanel10, java.awt.BorderLayout.EAST);

        jPanel9.add(pnlPrediction6);

        pnlStats.add(jPanel9);

        jPanel11.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction7.setPreferredSize(new java.awt.Dimension(240, 21));
        pnlPrediction7.setLayout(new java.awt.BorderLayout());

        jLabel11.setText("Number of particles");
        pnlPrediction7.add(jLabel11, java.awt.BorderLayout.WEST);

        jPanel12.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField16.setColumns(5);
        jTextField16.setText("50");
        jTextField16.setPreferredSize(null);
        jTextField16.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField16ActionPerformed(evt);
            }
        });
        jPanel12.add(jTextField16);

        pnlPrediction7.add(jPanel12, java.awt.BorderLayout.EAST);

        jPanel11.add(pnlPrediction7);

        pnlStats.add(jPanel11);

        pnlSeparator2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 0, 10));
        pnlSeparator2.setLayout(new javax.swing.BoxLayout(pnlSeparator2, javax.swing.BoxLayout.LINE_AXIS));
        pnlStats.add(pnlSeparator2);

        jPanel13.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction8.setPreferredSize(new java.awt.Dimension(240, 21));
        pnlPrediction8.setLayout(new java.awt.BorderLayout());

        jLabel12.setText("Particle mass (amu)");
        pnlPrediction8.add(jLabel12, java.awt.BorderLayout.WEST);

        jPanel14.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField17.setColumns(5);
        jTextField17.setText("2");
        jTextField17.setPreferredSize(null);
        jTextField17.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField17ActionPerformed(evt);
            }
        });
        jPanel14.add(jTextField17);

        pnlPrediction8.add(jPanel14, java.awt.BorderLayout.EAST);

        jPanel13.add(pnlPrediction8);

        pnlStats.add(jPanel13);

        jButton1.setText("Apply Settings");
        jPanel15.add(jButton1);

        pnlStats.add(jPanel15);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(pnlStats, javax.swing.GroupLayout.PREFERRED_SIZE, 276, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(pnlArenaHolder, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGap(282, 282, 282)
                        .addComponent(pnlControls, javax.swing.GroupLayout.DEFAULT_SIZE, 640, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(pnlArenaHolder, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pnlControls, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addComponent(pnlStats, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void pnlArenaHolderComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_pnlArenaHolderComponentResized
/*
        rescaleArena();     }//GEN-LAST:event_pnlArenaHolderComponentResized
*/}
    private void btnPauseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPauseActionPerformed
/*
        if (btnPauseWasPause) {             btnPause.setIcon(playBtnIcon);             controller.pause();             btnPauseWasPause = false;         } else {             btnPause.setIcon(pauseBtnIcon);             controller.unpause();             btnPauseWasPause = true;         }     }//GEN-LAST:event_btnPauseActionPerformed
*/}
    private void spnrSpeedStateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_spnrSpeedStateChanged
/*
        String fractionMultiplier = (String) spnrSpeed.getValue();         fractionMultiplier = fractionMultiplier.substring(0, fractionMultiplier.length() - 1); //Cut off ending 'x'         double multiplier = Formulas.evaluateFraction(fractionMultiplier);          controller.setPhysicsFrameSpeed(multiplier);     }//GEN-LAST:event_spnrSpeedStateChanged
*/}
        private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField1ActionPerformed

        private void jTextField12ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField12ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField12ActionPerformed

        private void jTextField15ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField15ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField15ActionPerformed

        private void jTextField16ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField16ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField16ActionPerformed

        private void jTextField17ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField17ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField17ActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnPause;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel13;
    private javax.swing.JPanel jPanel14;
    private javax.swing.JPanel jPanel15;
    private javax.swing.JPanel jPanel16;
    private javax.swing.JPanel jPanel17;
    private javax.swing.JPanel jPanel18;
    private javax.swing.JPanel jPanel19;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel20;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField14;
    private javax.swing.JTextField jTextField15;
    private javax.swing.JTextField jTextField16;
    private javax.swing.JTextField jTextField17;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JPanel pnlArenaHolder;
    private javax.swing.JPanel pnlControls;
    private javax.swing.JPanel pnlOtherStats;
    private javax.swing.JPanel pnlPrediction;
    private javax.swing.JPanel pnlPrediction1;
    private javax.swing.JPanel pnlPrediction10;
    private javax.swing.JPanel pnlPrediction5;
    private javax.swing.JPanel pnlPrediction6;
    private javax.swing.JPanel pnlPrediction7;
    private javax.swing.JPanel pnlPrediction8;
    private javax.swing.JPanel pnlPrediction9;
    private javax.swing.JPanel pnlSeparator1;
    private javax.swing.JPanel pnlSeparator2;
    private javax.swing.JPanel pnlStatHeader;
    private javax.swing.JPanel pnlStats;
    private javax.swing.JSpinner spnrSpeed;
    private javax.swing.JTextField txtFldSimTime;
    // End of variables declaration//GEN-END:variables
}
