/*
 * Boltzmann 3D, a kinetic theory demonstrator
 * Copyright (C) 2013 Dr. Randall B. Shirts
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package edu.byu.chem.boltzmann.modules;

import java.awt.event.ActionEvent;

/**
 *
 * @author Derek Manwaring
 * 25 Oct 2011
 */
public class ModuleTemplate_1 extends javax.swing.JPanel {

    /** Creates new form Template */
    public ModuleTemplate_1() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        pnlArenaHolder = new javax.swing.JPanel();
        pnlControls = new javax.swing.JPanel();
        jPanel4 = new javax.swing.JPanel();
        txtFldSimTime = new javax.swing.JTextField();
        btnPause = new javax.swing.JButton();
        jPanel5 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        spnrSpeed = new javax.swing.JSpinner();
        pnlStats = new javax.swing.JPanel();
        jPanel16 = new javax.swing.JPanel();
        pnlPrediction9 = new javax.swing.JPanel();
        jPanel19 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jRadioButton2 = new javax.swing.JRadioButton();
        jPanel17 = new javax.swing.JPanel();
        jPanel18 = new javax.swing.JPanel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jPanel7 = new javax.swing.JPanel();
        pnlPrediction5 = new javax.swing.JPanel();
        jPanel8 = new javax.swing.JPanel();
        jTextField12 = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jTextField13 = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jTextField14 = new javax.swing.JTextField();
        jPanel9 = new javax.swing.JPanel();
        pnlPrediction6 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        jPanel10 = new javax.swing.JPanel();
        jTextField15 = new javax.swing.JTextField();
        jPanel11 = new javax.swing.JPanel();
        pnlPrediction7 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        jPanel12 = new javax.swing.JPanel();
        jTextField16 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        pnlOtherStats = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        pnlPrediction = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        pnlPrediction1 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();

        pnlArenaHolder.setMaximumSize(new java.awt.Dimension(3000, 3000));
        pnlArenaHolder.setMinimumSize(new java.awt.Dimension(1, 1));
        pnlArenaHolder.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                pnlArenaHolderComponentResized(evt);
            }
        });
        pnlArenaHolder.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 0, 0));

        pnlControls.setLayout(new javax.swing.BoxLayout(pnlControls, javax.swing.BoxLayout.PAGE_AXIS));

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 5, 3));

        txtFldSimTime.setText("127.33 ps");
        jPanel4.add(txtFldSimTime);

        btnPause.setIcon(new javax.swing.ImageIcon(getClass().getResource("/edu/byu/chem/boltzmann/resources/images/Pause24.gif"))); // NOI18N
        btnPause.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPauseActionPerformed(evt);
            }
        });
        jPanel4.add(btnPause);

        pnlControls.add(jPanel4);

        jPanel5.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 5, 3));

        jLabel3.setText("Speed:");
        jPanel5.add(jLabel3);

        spnrSpeed.setFont(new java.awt.Font("Lucida Grande", 0, 12)); // NOI18N
        spnrSpeed.setModel(new javax.swing.SpinnerListModel(new String[] {"1x"}));
        spnrSpeed.setPreferredSize(new java.awt.Dimension(70, 28));
        spnrSpeed.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                spnrSpeedStateChanged(evt);
            }
        });
        jPanel5.add(spnrSpeed);

        pnlControls.add(jPanel5);

        jPanel16.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction9.setPreferredSize(new java.awt.Dimension(200, 60));
        pnlPrediction9.setLayout(new java.awt.BorderLayout());

        jPanel19.setLayout(new javax.swing.BoxLayout(jPanel19, javax.swing.BoxLayout.LINE_AXIS));

        jPanel6.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 1));

        jRadioButton2.setText("2 Dimensional");
        jPanel6.add(jRadioButton2);

        jPanel19.add(jPanel6);

        pnlPrediction9.add(jPanel19, java.awt.BorderLayout.WEST);

        jPanel17.setPreferredSize(new java.awt.Dimension(100, 88));
        jPanel17.setLayout(new javax.swing.BoxLayout(jPanel17, javax.swing.BoxLayout.PAGE_AXIS));

        jPanel18.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 1));

        jRadioButton1.setSelected(true);
        jRadioButton1.setText("3 Dimensional");
        jPanel18.add(jRadioButton1);

        jPanel17.add(jPanel18);

        pnlPrediction9.add(jPanel17, java.awt.BorderLayout.EAST);

        jPanel16.add(pnlPrediction9);

        jPanel7.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction5.setPreferredSize(new java.awt.Dimension(200, 20));
        pnlPrediction5.setLayout(new java.awt.BorderLayout());

        jPanel8.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField12.setColumns(5);
        jTextField12.setText("40.0");
        jTextField12.setPreferredSize(null);
        jTextField12.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField12ActionPerformed(evt);
            }
        });
        jPanel8.add(jTextField12);

        jLabel18.setText("X");
        jPanel8.add(jLabel18);

        jTextField13.setColumns(5);
        jTextField13.setText("30.0");
        jTextField13.setPreferredSize(null);
        jPanel8.add(jTextField13);

        jLabel19.setText("X");
        jPanel8.add(jLabel19);

        jTextField14.setColumns(5);
        jTextField14.setText("30.0");
        jTextField14.setPreferredSize(null);
        jPanel8.add(jTextField14);

        pnlPrediction5.add(jPanel8, java.awt.BorderLayout.EAST);

        jPanel7.add(pnlPrediction5);

        jPanel9.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction6.setPreferredSize(new java.awt.Dimension(200, 20));
        pnlPrediction6.setLayout(new java.awt.BorderLayout());

        jLabel10.setText("Temperature (K)");
        pnlPrediction6.add(jLabel10, java.awt.BorderLayout.WEST);

        jPanel10.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField15.setColumns(5);
        jTextField15.setText("300.0");
        jTextField15.setPreferredSize(null);
        jTextField15.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField15ActionPerformed(evt);
            }
        });
        jPanel10.add(jTextField15);

        pnlPrediction6.add(jPanel10, java.awt.BorderLayout.EAST);

        jPanel9.add(pnlPrediction6);

        jPanel11.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction7.setPreferredSize(new java.awt.Dimension(200, 20));
        pnlPrediction7.setLayout(new java.awt.BorderLayout());

        jLabel11.setText("Number of particles");
        pnlPrediction7.add(jLabel11, java.awt.BorderLayout.WEST);

        jPanel12.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jTextField16.setColumns(5);
        jTextField16.setText("50");
        jTextField16.setPreferredSize(null);
        jTextField16.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField16ActionPerformed(evt);
            }
        });
        jPanel12.add(jTextField16);

        pnlPrediction7.add(jPanel12, java.awt.BorderLayout.EAST);

        jPanel11.add(pnlPrediction7);

        javax.swing.GroupLayout pnlStatsLayout = new javax.swing.GroupLayout(pnlStats);
        pnlStats.setLayout(pnlStatsLayout);
        pnlStatsLayout.setHorizontalGroup(
            pnlStatsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlStatsLayout.createSequentialGroup()
                .addComponent(jPanel16, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(20, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, pnlStatsLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(pnlStatsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jPanel11, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel9, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel7, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        pnlStatsLayout.setVerticalGroup(
            pnlStatsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlStatsLayout.createSequentialGroup()
                .addComponent(jPanel16, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        jLabel1.setIcon(new javax.swing.ImageIcon("C:\\Boltzmann\\Boltzmann3D\\WebBoltzmann\\Ideal Gas Law Module Images\\ArenaSmall.jpg")); // NOI18N

        pnlOtherStats.setLayout(new javax.swing.BoxLayout(pnlOtherStats, javax.swing.BoxLayout.Y_AXIS));

        jPanel2.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction.setPreferredSize(new java.awt.Dimension(200, 20));
        pnlPrediction.setLayout(new java.awt.BorderLayout(5, 5));

        jLabel4.setText("Pressure Prediction");
        pnlPrediction.add(jLabel4, java.awt.BorderLayout.WEST);

        jTextField1.setText("30.0 MPa");
        jTextField1.setPreferredSize(new java.awt.Dimension(60, 20));
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });
        pnlPrediction.add(jTextField1, java.awt.BorderLayout.EAST);

        jPanel2.add(pnlPrediction);

        pnlOtherStats.add(jPanel2);

        jPanel3.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        pnlPrediction1.setPreferredSize(new java.awt.Dimension(200, 20));
        pnlPrediction1.setLayout(new java.awt.BorderLayout(5, 5));

        jLabel5.setText("Average from walls");
        pnlPrediction1.add(jLabel5, java.awt.BorderLayout.WEST);

        jTextField2.setText("27.9 MPa");
        jTextField2.setPreferredSize(new java.awt.Dimension(60, 20));
        pnlPrediction1.add(jTextField2, java.awt.BorderLayout.EAST);

        jPanel3.add(pnlPrediction1);

        pnlOtherStats.add(jPanel3);

        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(pnlOtherStats, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(pnlControls, javax.swing.GroupLayout.DEFAULT_SIZE, 232, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 6, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pnlStats, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 10, Short.MAX_VALUE)
                .addComponent(pnlArenaHolder, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addComponent(jLabel1)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnlArenaHolder, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addComponent(pnlOtherStats, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(pnlControls, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addContainerGap())
                        .addComponent(pnlStats, javax.swing.GroupLayout.PREFERRED_SIZE, 144, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(9, 9, 9))))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void pnlArenaHolderComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_pnlArenaHolderComponentResized
/*
        rescaleArena();     }//GEN-LAST:event_pnlArenaHolderComponentResized
*/}
    private void btnPauseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPauseActionPerformed
/*
        if (btnPauseWasPause) {             btnPause.setIcon(playBtnIcon);             controller.pause();             btnPauseWasPause = false;         } else {             btnPause.setIcon(pauseBtnIcon);             controller.unpause();             btnPauseWasPause = true;         }     }//GEN-LAST:event_btnPauseActionPerformed
*/}
    private void spnrSpeedStateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_spnrSpeedStateChanged
/*
        String fractionMultiplier = (String) spnrSpeed.getValue();         fractionMultiplier = fractionMultiplier.substring(0, fractionMultiplier.length() - 1); //Cut off ending 'x'         double multiplier = Formulas.evaluateFraction(fractionMultiplier);          controller.setPhysicsFrameSpeed(multiplier);     }//GEN-LAST:event_spnrSpeedStateChanged
*/}
        private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField1ActionPerformed

        private void jTextField12ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField12ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField12ActionPerformed

        private void jTextField15ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField15ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField15ActionPerformed

        private void jTextField16ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField16ActionPerformed
        // TODO add your handling code here:
        }//GEN-LAST:event_jTextField16ActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnPause;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel16;
    private javax.swing.JPanel jPanel17;
    private javax.swing.JPanel jPanel18;
    private javax.swing.JPanel jPanel19;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField14;
    private javax.swing.JTextField jTextField15;
    private javax.swing.JTextField jTextField16;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JPanel pnlArenaHolder;
    private javax.swing.JPanel pnlControls;
    private javax.swing.JPanel pnlOtherStats;
    private javax.swing.JPanel pnlPrediction;
    private javax.swing.JPanel pnlPrediction1;
    private javax.swing.JPanel pnlPrediction5;
    private javax.swing.JPanel pnlPrediction6;
    private javax.swing.JPanel pnlPrediction7;
    private javax.swing.JPanel pnlPrediction9;
    private javax.swing.JPanel pnlStats;
    private javax.swing.JSpinner spnrSpeed;
    private javax.swing.JTextField txtFldSimTime;
    // End of variables declaration//GEN-END:variables
}
