/*
 * Boltzmann 3D, a kinetic theory demonstrator
 * Copyright (C) 2013 Dr. Randall B. Shirts
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package edu.byu.chem.boltzmann.view.simulationsettings.components;

/**
 *
 * @author Derek Manwaring
 * Apr 2011
 */
public class TypesHeader extends javax.swing.JPanel {

    public TypesHeader() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        lblName = new javax.swing.JLabel();
        lblColor = new javax.swing.JLabel();
        lblNumParticles = new javax.swing.JLabel();
        lblRadius = new javax.swing.JLabel();
        lblMass = new javax.swing.JLabel();

        setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 15, 5));

        lblName.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblName.setText("Particle Name");
        lblName.setPreferredSize(new java.awt.Dimension(125, 16));
        add(lblName);

        lblColor.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblColor.setText("Color");
        lblColor.setPreferredSize(new java.awt.Dimension(40, 16));
        add(lblColor);

        lblNumParticles.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblNumParticles.setText("# of Particles");
        lblNumParticles.setPreferredSize(new java.awt.Dimension(90, 16));
        add(lblNumParticles);

        lblRadius.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblRadius.setText("Radius (nm)");
        lblRadius.setPreferredSize(new java.awt.Dimension(84, 16));
        add(lblRadius);

        lblMass.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblMass.setText("Mass (amu)");
        lblMass.setPreferredSize(new java.awt.Dimension(72, 16));
        add(lblMass);
    }// </editor-fold>//GEN-END:initComponents

    protected int getNameWidth() {
        return lblName.getPreferredSize().width;
    }
    
    protected int getColorWidth() {
        return lblColor.getPreferredSize().width;
    }
    
    protected int getNumPartWidth() {
        return lblNumParticles.getPreferredSize().width;
    }
    
    protected int getRadiusWidth() {
        return lblRadius.getPreferredSize().width;
    }
    
    protected int getMassWidth() {
        return lblMass.getPreferredSize().width;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel lblColor;
    private javax.swing.JLabel lblMass;
    private javax.swing.JLabel lblName;
    private javax.swing.JLabel lblNumParticles;
    private javax.swing.JLabel lblRadius;
    // End of variables declaration//GEN-END:variables

}
